# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pluralizr/version'

Gem::Specification.new do |spec|
  spec.name          = 'pluralizr'
  spec.version       = Pluralizr::VERSION
  spec.license       = 'MIT'
  spec.summary       = 'A gem that pluralizes the singular form of a word passed in.'
  spec.description   = <<-EOF
    Pluralizr is a gem that takes a single word and returns the pluralized version of that word. It takes into account various rules including words that end with the letter 'y'—where 'y' is preceded by a vowel or consonant—and words of French, Greek and Latin origins.
  EOF
  spec.homepage      = 'https://github.com/srndptylabs/pluralizr'

  spec.authors       = ['Johnny Hu']
  spec.email         = ['jgeehen.hu@gmail.com']

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
